import 'package:fcs/data/provider/common_data_provider.dart';
import 'package:fcs/domain/entities/discount.dart';
import 'package:fcs/domain/entities/payment_method.dart';
import 'package:fcs/domain/vo/message.dart';
import 'package:flutter/material.dart';

import 'common_service.dart';

class CommonServiceImp implements CommonService {
  CommonServiceImp({
    @required this.commonDataProvider,
  });

  final CommonDataProvider commonDataProvider;

  @override
  Future<void> createPaymentMethod(PaymentMethod paymentMethod) {
    return commonDataProvider.createPaymentMethod(paymentMethod);
  }

  @override
  Future<void> deletePayment(String id) {
    return commonDataProvider.deletePaymentMethod(id);
  }

  @override
  Future<void> updatePaymentMethod(PaymentMethod paymentMethod) {
    return commonDataProvider.updatePaymentMethod(paymentMethod);
  }

  @override
  Future<void> sendMessage(Message message) {
    return commonDataProvider.sendMessage(message);
  }

  @override
  Future<void> seenMessage(String ownerID, bool seenByOwner) {
    return commonDataProvider.seenMessage(ownerID, seenByOwner);
  }

  @override
  Future<void> createDiscount(Discount discount) {
    return commonDataProvider.createDiscount(discount);
  }

  @override
  Future<void> deleteDiscount(String id) {
    return commonDataProvider.deleteDiscount(id);
  }

  @override
  Future<void> updateDiscount(Discount discount) {
    return commonDataProvider.updateDiscount(discount);
  }
}
